/*
 *  stats.h - output statistic files (refs, errs, html)
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
 
#ifndef STATS_H
#define STATS_H

#include "osdep.h"

extern int g_do_check;

void make_refs(uint8_t band);
void make_band_refs(uint8_t band);
void make_err_files(uint8_t band, char *band_str);
void make_err_files2(uint8_t band, char *band_str);
void make_score_list(uint8_t band, char *band_str, uint8_t categ,
	FILE * res, FILE * htm, FILE *fd, float maxlp, float maxqrp, int islp);
void make_check_list(uint8_t band, FILE *res, FILE *htm);
int inclcall(float pwr, float maxlp, float maxqrp, int islp);

#endif /* STATS_H */
